Bug 433127 - evolution-alarm-notify crashes on start
evolution-alarm-notify crashes on start
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-16 11:33 EST by Frank DiPrete
Modified: 2008-05-22 14:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-22 14:16:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
crash report (5.43 KB, text/plain)
2008-03-03 18:56 EST, Frank DiPrete
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 273699 None None None Never

  None (edit)
Description Frank DiPrete 2008-02-16 11:33:25 EST
Description of problem:
evolution-alarm-notify crashes on start

Version-Release number of selected component (if applicable):
2.10.3

How reproducible:
always

Steps to Reproduce:
1. start session
  
Actual results:
crash

Expected results:
no crash ;)

Additional info:

looks like a component is missing.

System: Linux 2.6.23.15-80.fc7 #1 SMP Sun Feb 10 17:29:10 EST 2008 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Glossy
Icon Theme: gnome

Memory status: size: 73072640 vsize: 73072640 resident: 7385088 share: 6209536
rss: 7385088 rss_rlim: 4294967295
CPU usage: start_time: 1203179233 rtime: 3 utime: 1 stime: 2 cutime:0 cstime: 0
timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/libexec/evolution-alarm-notify'

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208976656 (LWP 2341)]
[New Thread -1221837936 (LWP 2415)]
[New Thread -1211077744 (LWP 2375)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x00110402 in __kernel_vsyscall ()
#0  0x00110402 in __kernel_vsyscall ()
#1  0x00a84d3b in waitpid () from /lib/libpthread.so.0
#2  0x05cfda46 in ?? () from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x00110402 in __kernel_vsyscall ()
#5  0x00918fa0 in raise () from /lib/libc.so.6
#6  0x0091a8b1 in abort () from /lib/libc.so.6
#7  0x00bfe14a in g_logv () from /lib/libglib-2.0.so.0
#8  0x00bfe189 in g_log () from /lib/libglib-2.0.so.0
#9  0x0805c7eb in main ()

Thread 3 (Thread -1211077744 (LWP 2375)):
#0  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x009b6a43 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x00bf8803 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x00bf8b79 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x03c61510 in ?? () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#5  0x00c1366f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x00a7d44b in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x009c080e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 2 (Thread -1221837936 (LWP 2415)):
#0  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00a81206 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x05a201e9 in e_flag_wait () from /usr/lib/libedataserver-1.2.so.9
No symbol table info available.
#3  0x05afbeda in ?? () from /usr/lib/libecal-1.2.so.7
No symbol table info available.
#4  0x05afc404 in ?? () from /usr/lib/libecal-1.2.so.7
No symbol table info available.
#5  0x00c1366f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x00a7d44b in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x009c080e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread -1208976656 (LWP 2341)):
#0  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00a84d3b in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#2  0x05cfda46 in ?? () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#5  0x00918fa0 in raise () from /lib/libc.so.6
No symbol table info available.
#6  0x0091a8b1 in abort () from /lib/libc.so.6
No symbol table info available.
#7  0x00bfe14a in g_logv () from /lib/libglib-2.0.so.0
No symbol table info available.
#8  0x00bfe189 in g_log () from /lib/libglib-2.0.so.0
No symbol table info available.
#9  0x0805c7eb in main ()
No symbol table info available.
#0  0x00110402 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]


----------- .xsession-errors ---------------------
alarm-notify.c:379 (alarm_notify_add_calendar) contacts:/// - Calendar Open
Async... 0x80d66c0
alarm-notify.c:216 (load_calendars) - Loading Calendar
scalix://fdiprete@postal.aylus.com/Calendar 
alarm-notify.c:216 (load_calendars) - Loading Calendar
file:///home/root/.evolution/tasks/local/system 
alarm-notify.c:379 (alarm_notify_add_calendar)
file:///home/root/.evolution/tasks/local/system - Calendar Open Async... 0x80d6520
alarm-notify.c:216 (load_calendars) - Loading Calendar
file:///home/root/.evolution/memos/local/system 
alarm-notify.c:379 (alarm_notify_add_calendar)
file:///home/root/.evolution/memos/local/system - Calendar Open Async... 0x80dedb0
al** Message: Could not connect to power manager: Could not get owner of name
'org.gnome.PowerManager': no such name
** (evolution:2340): DEBUG: mailto URL command: evolution %s
** (evolution:2340): DEBUG: mailto URL program: evolution
Unable to connect to yum-updatesd.  Please ensure that the yum-updatesd 
package is installed and that the service is running.
libnm_glib_nm_state_cb: dbus returned an error.
  (org.freedesktop.DBus.Error.ServiceUnknown) The name
org.freedesktop.NetworkManager was not provided by any .service files
/usr/libexec/evolution-alarm-notify: No such file or directory.
/usr/libexec/evolution-alarm-notify: No such file or directory.
--------------------------------------------------
Comment 1 Matthew Barnes 2008-02-16 15:12:14 EST
Thanks for the bug report.  Can you please install the following debuginfo
packages and post a new backtrace of the crash?

    evolution-debuginfo
    evolution-data-server-debuginfo
    glib2-debuginfo
Comment 2 Frank DiPrete 2008-02-21 18:35:07 EST
System: Linux 2.6.23.15-80.fc7 #1 SMP Sun Feb 10 17:29:10 EST 2008 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Glossy
Icon Theme: gnome

Memory status: size: 83562496 vsize: 83562496 resident: 7401472 share: 6209536
rss: 7401472 rss_rlim: 4294967295
CPU usage: start_time: 1203636779 rtime: 4 utime: 2 stime: 2 cutime:0 cstime: 0
timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/libexec/evolution-alarm-notify'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1209115920 (LWP 2225)]
[New Thread -1242956912 (LWP 2314)]
[New Thread -1232467056 (LWP 2308)]
[New Thread -1211217008 (LWP 2275)]
0x00110402 in __kernel_vsyscall ()
#0  0x00110402 in __kernel_vsyscall ()
#1  0x00a84d3b in waitpid () from /lib/libpthread.so.0
#2  0x05cfda46 in ?? () from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x00110402 in __kernel_vsyscall ()
#5  0x00918fa0 in raise () from /lib/libc.so.6
#6  0x0091a8b1 in abort () from /lib/libc.so.6
#7  0x00bfe14a in IA__g_logv (log_domain=<value optimized out>, 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0x8060090 "Could not create the alarm notify service factory", 
    args1=0xbfe2fe9c "") at gmessages.c:497
#8  0x00bfe189 in IA__g_log (log_domain=0x805e433 "evolution-alarm-notify", 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0x8060090 "Could not create the alarm notify service factory")
    at gmessages.c:517
#9  0x0805c7eb in main (argc=7, argv=0xbfe2ff64) at notify-main.c:153

Thread 4 (Thread -1211217008 (LWP 2275)):
#0  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x009b6a43 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x00bf8803 in g_main_context_iterate (context=0x8788be8, block=1, 
    dispatch=1, self=0x877fc10) at gmain.c:2979
	got_ownership = <value optimized out>
	max_priority = 2147483647
	timeout = -1
	some_ready = <value optimized out>
	nfds = 9
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x87a5698
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x00bf8b79 in IA__g_main_loop_run (loop=0x878aec0) at gmain.c:2881
	got_ownership = 11006800
	self = (GThread *) 0x877fc10
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x03c61510 in ?? () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#5  0x00c1366f in g_thread_create_proxy (data=0x877fc10) at gthread.c:594
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x00a7d44b in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x009c080e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 3 (Thread -1232467056 (LWP 2308)):
#0  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00a81206 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x05a201e9 in e_flag_wait (flag=0x87a8b50) at e-flag.c:120
	__PRETTY_FUNCTION__ = "e_flag_wait"
#3  0x05afbeda in open_calendar (ecal=0x878c6c0, 
    only_if_exists=<value optimized out>, error=0x0, status=0x87a5fac, 
    needs_auth=0) at e-cal.c:1716
	prompt = 0x0
	key = 0x0
	parent_user = 0x0
	priv = (ECalPrivate *) 0x87a30d8
	ev = {_id = 0x0, _major = 0, _any = {_type = 0x0, _value = 0x0, 
    _release = 0 '\0'}}
	our_op = (ECalendarOp *) 0x87a9ad8
	username = 0x0
	auth_type = <value optimized out>
	password = <value optimized out>
	read_only = <value optimized out>
#4  0x05afc404 in open_async (data=0x87a5fa0) at e-cal.c:1788
No locals.
#5  0x00c1366f in g_thread_create_proxy (data=0x87a7298) at gthread.c:594
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x00a7d44b in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x009c080e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 2 (Thread -1242956912 (LWP 2314)):
#0  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00a81206 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x05a201e9 in e_flag_wait (flag=0x87ac600) at e-flag.c:120
	__PRETTY_FUNCTION__ = "e_flag_wait"
#3  0x05afbeda in open_calendar (ecal=0x87a88a0, 
    only_if_exists=<value optimized out>, error=0x0, status=0x87ab804, 
    needs_auth=0) at e-cal.c:1716
	prompt = 0x0
	key = 0x0
	parent_user = 0x0
	priv = (ECalPrivate *) 0x87a8cf8
	ev = {_id = 0x0, _major = 0, _any = {_type = 0x0, _value = 0x0, 
    _release = 0 '\0'}}
	our_op = (ECalendarOp *) 0x87abdc8
	username = 0x0
	auth_type = <value optimized out>
	password = <value optimized out>
	read_only = <value optimized out>
#4  0x05afc404 in open_async (data=0x87ab7f8) at e-cal.c:1788
No locals.
#5  0x00c1366f in g_thread_create_proxy (data=0x87ab328) at gthread.c:594
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x00a7d44b in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x009c080e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread -1209115920 (LWP 2225)):
#0  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00a84d3b in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#2  0x05cfda46 in ?? () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#5  0x00918fa0 in raise () from /lib/libc.so.6
No symbol table info available.
#6  0x0091a8b1 in abort () from /lib/libc.so.6
No symbol table info available.
#7  0x00bfe14a in IA__g_logv (log_domain=<value optimized out>, 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0x8060090 "Could not create the alarm notify service factory", 
    args1=0xbfe2fe9c "") at gmessages.c:497
	depth = <value optimized out>
	domain = <value optimized out>
	data = (gpointer) 0x0
	log_func = (GLogFunc) 0xbfea60 <IA__g_log_default_handler>
	domain_fatal_mask = 5
	test_level = <value optimized out>
	was_recursion = 0
	i = <value optimized out>
#8  0x00bfe189 in IA__g_log (log_domain=0x805e433 "evolution-alarm-notify", 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0x8060090 "Could not create the alarm notify service factory")
    at gmessages.c:517
	args = 0xbfe2fe9c ""
#9  0x0805c7eb in main (argc=7, argv=0xbfe2ff64) at notify-main.c:153
No locals.
#0  0x00110402 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]


----------- .xsession-errors ---------------------
alarm-notify.c:379 (alarm_notify_add_calendar)
file:///home/root/.evolution/calendar/local/system - Calendar Open Async...
0x9f026c0
alarm-notify.c:216 (load_calendars) - Loading Calendar contacts:/// 
alarm-notify.c:216 (load_calendars) - Loading Calendar
scalix://fdiprete@postal.aylus.com/Calendar 
alarm-notify.c:216 (load_calendars) - Loading Calendar
file:///home/root/.evolution/tasks/local/system 
alarm-notify.c:379 (alarm_notify_add_calendar)
file:///home/root/.evolution/tasks/local/system - Calendar Open Async... 0x9f1e8c0
alarm-notify.c:216 (load_calendars) - Loading Calendar
file:///home/root/.evolution/memos/local/system 
alarm-notify.c:379 (alarm_notify_add_calendar)
file:///home/root/.evolution/memos/local/system
evolution-alarm-notify-ERROR **: Could not create the alarm notify service factory
aborting...
 - Calendar Open Async... 0x9f23020
Unable to connect to yum-updatesd.  Please ensure that the yum-updatesd 
package is installed and that the service is running.
** Message: Could not connect to power manager: Could not get owner of name
'org.gnome.PowerManager': no such name
/usr/libexec/evolution-alarm-notify: No such file or directory.
/usr/libexec/evolution-alarm-notify: No such file or directory.
--------------------------------------------------
Comment 3 Frank DiPrete 2008-02-21 18:41:30 EST
Looks like the problem happens when evo tried to add a calendar that used to be
available using the scalix connector.

Since the scalix connector will not compile anymore I switched the email
connection to imap and the calendar is still there.

tried to remove the scalix calendar using the evo ui, but it hung.

I also tried removing all scalix dirs from .evolution previously.
( still there and crashed)

I turned off the alarms for it using the evo ui (prefs)

Comment 4 Frank DiPrete 2008-02-21 18:49:48 EST
crashed again

System: Linux 2.6.23.15-80.fc7 #1 SMP Sun Feb 10 17:29:10 EST 2008 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Glossy
Icon Theme: gnome

Memory status: size: 73072640 vsize: 73072640 resident: 7380992 share: 6209536
rss: 7380992 rss_rlim: 4294967295
CPU usage: start_time: 1203636779 rtime: 4 utime: 1 stime: 3 cutime:0 cstime: 0
timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/libexec/evolution-alarm-notify'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208165648 (LWP 2224)]
[New Thread -1221026928 (LWP 2309)]
[New Thread -1210266736 (LWP 2276)]
0x00110402 in __kernel_vsyscall ()
#0  0x00110402 in __kernel_vsyscall ()
#1  0x00a84d3b in waitpid () from /lib/libpthread.so.0
#2  0x05cfda46 in ?? () from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x00110402 in __kernel_vsyscall ()
#5  0x00918fa0 in raise () from /lib/libc.so.6
#6  0x0091a8b1 in abort () from /lib/libc.so.6
#7  0x00bfe14a in IA__g_logv (log_domain=<value optimized out>, 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0x8060090 "Could not create the alarm notify service factory", 
    args1=0xbfc1f34c "") at gmessages.c:497
#8  0x00bfe189 in IA__g_log (log_domain=0x805e433 "evolution-alarm-notify", 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0x8060090 "Could not create the alarm notify service factory")
    at gmessages.c:517
#9  0x0805c7eb in main (argc=7, argv=0xbfc1f414) at notify-main.c:153

Thread 3 (Thread -1210266736 (LWP 2276)):
#0  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x009b6a43 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x00bf8803 in g_main_context_iterate (context=0x9efebe8, block=1, 
    dispatch=1, self=0x9ef5c10) at gmain.c:2979
	got_ownership = <value optimized out>
	max_priority = 2147483647
	timeout = -1
	some_ready = <value optimized out>
	nfds = 9
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x9f1d3a8
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x00bf8b79 in IA__g_main_loop_run (loop=0x9f00ec0) at gmain.c:2881
	got_ownership = 11006800
	self = (GThread *) 0x9ef5c10
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x03c61510 in ?? () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#5  0x00c1366f in g_thread_create_proxy (data=0x9ef5c10) at gthread.c:594
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x00a7d44b in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x009c080e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 2 (Thread -1221026928 (LWP 2309)):
#0  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00a81206 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
No symbol table info available.
#2  0x05a201e9 in e_flag_wait (flag=0x9f1eb50) at e-flag.c:120
	__PRETTY_FUNCTION__ = "e_flag_wait"
#3  0x05afbeda in open_calendar (ecal=0x9f026c0, 
    only_if_exists=<value optimized out>, error=0x0, status=0x9f1bfb4, 
    needs_auth=0) at e-cal.c:1716
	prompt = 0x0
	key = 0x0
	parent_user = 0x0
	priv = (ECalPrivate *) 0x9f190d8
	ev = {_id = 0x0, _major = 0, _any = {_type = 0x0, _value = 0x0, 
    _release = 0 '\0'}}
	our_op = (ECalendarOp *) 0x9f1f958
	username = 0x0
	auth_type = <value optimized out>
	password = <value optimized out>
	read_only = <value optimized out>
#4  0x05afc404 in open_async (data=0x9f1bfa8) at e-cal.c:1788
No locals.
#5  0x00c1366f in g_thread_create_proxy (data=0x9f1e3a0) at gthread.c:594
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x00a7d44b in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x009c080e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread -1208165648 (LWP 2224)):
#0  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00a84d3b in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#2  0x05cfda46 in ?? () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#5  0x00918fa0 in raise () from /lib/libc.so.6
No symbol table info available.
#6  0x0091a8b1 in abort () from /lib/libc.so.6
No symbol table info available.
#7  0x00bfe14a in IA__g_logv (log_domain=<value optimized out>, 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0x8060090 "Could not create the alarm notify service factory", 
    args1=0xbfc1f34c "") at gmessages.c:497
	depth = <value optimized out>
	domain = <value optimized out>
	data = (gpointer) 0x0
	log_func = (GLogFunc) 0xbfea60 <IA__g_log_default_handler>
	domain_fatal_mask = 5
	test_level = <value optimized out>
	was_recursion = 0
	i = <value optimized out>
#8  0x00bfe189 in IA__g_log (log_domain=0x805e433 "evolution-alarm-notify", 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0x8060090 "Could not create the alarm notify service factory")
    at gmessages.c:517
	args = 0xbfc1f34c ""
#9  0x0805c7eb in main (argc=7, argv=0xbfc1f414) at notify-main.c:153
No locals.
#0  0x00110402 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]


----------- .xsession-errors ---------------------
alarm-notify.c:379 (alarm_notify_add_calendar)
file:///home/root/.evolution/calendar/local/system - Calendar Open Async...
0x9f026c0
alarm-notify.c:216 (load_calendars) - Loading Calendar contacts:/// 
alarm-notify.c:216 (load_calendars) - Loading Calendar
scalix://fdiprete@postal.aylus.com/Calendar 
alarm-notify.c:216 (load_calendars) - Loading Calendar
file:///home/root/.evolution/tasks/local/system 
alarm-notify.c:379 (alarm_notify_add_calendar)
file:///home/root/.evolution/tasks/local/system - Calendar Open Async... 0x9f1e8c0
alarm-notify.c:216 (load_calendars) - Loading Calendar
file:///home/root/.evolution/memos/local/system 
alarm-notify.c:379 (alarm_notify_add_calendar)
file:///home/root/.evolution/memos/local/system
evolution-alarm-notify-ERROR **: Could not create the alarm notify service factory
aborting...
 - Calendar Open Async... 0x9f23020
Unable to connect to yum-updatesd.  Please ensure that the yum-updatesd 
package is installed and that the service is running.
** Message: Could not connect to power manager: Could not get owner of name
'org.gnome.PowerManager': no such name
/usr/libexec/evolution-alarm-notify: No such file or directory.
/usr/libexec/evolution-alarm-notify: No such file or directory.
--------------------------------------------------
Comment 5 Matthew Barnes 2008-02-21 18:55:58 EST
Hmm, I don't know anything about the Scalix connector.  You might have to remove
the entry manually from GConf.  The Exchange connector also has this problem.

  1) # yum install gconf-editor
  2) Applications -> System Tools -> Configuration Editor
  3) Navigate to /apps/evolution/calendar/sources.
  4) Right-click on the 'sources' key, select Edit Key.
  5) Try to read through the XML and find the entry for the Scalix calendar.
  6) Highlight it and click Remove.
  7) Restart Evolution.
Comment 6 Frank DiPrete 2008-02-29 18:43:56 EST
another crash on x session start - scalix cals not mentioned

System: Linux 2.6.23.15-80.fc7 #1 SMP Sun Feb 10 17:29:10 EST 2008 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Glossy
Icon Theme: gnome

Memory status: size: 62582784 vsize: 62582784 resident: 7364608 share: 6213632
rss: 7364608 rss_rlim: 4294967295
CPU usage: start_time: 1204328430 rtime: 4 utime: 2 stime: 2 cutime:0 cstime: 0
timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/libexec/evolution-alarm-notify'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208562960 (LWP 2234)]
[New Thread -1210664048 (LWP 2256)]
0x00110402 in __kernel_vsyscall ()
#0  0x00110402 in __kernel_vsyscall ()
#1  0x00a84d3b in waitpid () from /lib/libpthread.so.0
#2  0x073aea46 in ?? () from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x00110402 in __kernel_vsyscall ()
#5  0x00918fa0 in raise () from /lib/libc.so.6
#6  0x0091a8b1 in abort () from /lib/libc.so.6
#7  0x0060f14a in IA__g_logv (log_domain=<value optimized out>, 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0x8060090 "Could not create the alarm notify service factory", 
    args1=0xbf8b562c "") at gmessages.c:497
#8  0x0060f189 in IA__g_log (log_domain=0x805e433 "evolution-alarm-notify", 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0x8060090 "Could not create the alarm notify service factory")
    at gmessages.c:517
#9  0x0805c7eb in main (argc=7, argv=0xbf8b56f4) at notify-main.c:153

Thread 2 (Thread -1210664048 (LWP 2256)):
#0  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x009b6a43 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x00609803 in g_main_context_iterate (context=0x811bbe8, block=1, 
    dispatch=1, self=0x8112c10) at gmain.c:2979
	got_ownership = <value optimized out>
	max_priority = 2147483647
	timeout = -1
	some_ready = <value optimized out>
	nfds = 9
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x813b6c0
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x00609b79 in IA__g_main_loop_run (loop=0x811dec0) at gmain.c:2881
	got_ownership = 11006800
	self = (GThread *) 0x8112c10
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x0036f510 in ?? () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#5  0x0062466f in g_thread_create_proxy (data=0x8112c10) at gthread.c:594
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x00a7d44b in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x009c080e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread -1208562960 (LWP 2234)):
#0  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00a84d3b in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#2  0x073aea46 in ?? () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x00110402 in __kernel_vsyscall ()
No symbol table info available.
#5  0x00918fa0 in raise () from /lib/libc.so.6
No symbol table info available.
#6  0x0091a8b1 in abort () from /lib/libc.so.6
No symbol table info available.
#7  0x0060f14a in IA__g_logv (log_domain=<value optimized out>, 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0x8060090 "Could not create the alarm notify service factory", 
    args1=0xbf8b562c "") at gmessages.c:497
	depth = <value optimized out>
	domain = <value optimized out>
	data = (gpointer) 0x0
	log_func = (GLogFunc) 0x60fa60 <IA__g_log_default_handler>
	domain_fatal_mask = 5
	test_level = <value optimized out>
	was_recursion = 0
	i = <value optimized out>
#8  0x0060f189 in IA__g_log (log_domain=0x805e433 "evolution-alarm-notify", 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0x8060090 "Could not create the alarm notify service factory")
    at gmessages.c:517
	args = 0xbf8b562c ""
#9  0x0805c7eb in main (argc=7, argv=0xbf8b56f4) at notify-main.c:153
No locals.
#0  0x00110402 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]


----------- .xsession-errors ---------------------
 
alarm-notify.c:216 (load_calendars) - Loading Calendar
file:///home/root/.evolution/calendar/local/system 
alarm-notify.c:379 (alarm_notify_add_calendar)
file:///home/root/.evolution/calendar/local/system - Calendar Open Async...
0x95ed660
alarm-notify.c:216 (load_calendars) - Loading Calendar
file:///home/root/.evolution/tasks/local/system 
alarm-notify.c:216 (load_calendars) - Loading Calendar
file:///home/root/.evolution/memos/local/system 
alarm-notify.c:379 (alarm_notify_add_calendar)
file:///home/root/.evolution/memos/local/system - Calendar Open Async... 0x960b050
alarm-notify.c:316 (cal_opened_cb)
file:///home/root/.evolution/memos/local/system - Calendar Status 0
alarm-queue.c:1998 (alarm_queue_add_async) - 0x960b050
alarm-queue.c:585 (load_alarms_for_today) - From Fri Feb 29 00:00:00 2008
 to Fri Feb 29 00:00:00 2008
aUnable to connect to yum-updatesd.  Please ensure that the yum-updatesd 
package is installed and that the service is running.
** Message: Could not connect to power manager: Could not get owner of name
'org.gnome.PowerManager': no such name
/usr/libexec/evolution-alarm-notify: No such file or directory.
--------------------------------------------------
Comment 7 Frank DiPrete 2008-02-29 18:46:33 EST
after the above crash, I've removed the suspect calendar entry from 
apps/evolution/calendar/sources

there is another key evolution-scalix under apps that I can't delete ..
Comment 8 Milan Crha 2008-03-03 10:59:42 EST
This has been "fixed" in 2.12.x, look in upstream bug
http://bugzilla.gnome.org/show_bug.cgi?id=273699

One of possible reasons can be that evolution-alarm-notify is already running.
The problem is that exact error code is not returned back from bonobo
activation, so it can be also other problem.

The other thing is the line from your output:
/usr/libexec/evolution-alarm-notify: No such file or directory.
The proper path should be
/usr/libexec/evolution/2.10/evolution-alarm-notify
so it can be also misconfigured bonobo, but the above output if definitely from
the evolution-alarm-notify binary, so it is probably running already when you login.

Do you have in in your startup applications, manually run it or something similar?
Comment 9 Milan Crha 2008-03-03 11:01:36 EST
Ahh, I see, the "No such file or directory" message comes from bug buddy.
Comment 10 Frank DiPrete 2008-03-03 18:56:00 EST
Created attachment 296692 [details]
crash report
Comment 11 Milan Crha 2008-03-04 07:25:52 EST
It's pretty same as the above stack trace from comment #6.
Can you check, after it crashes and you close bug-buddy, whether
evolution-alarm-notify is running or not? I guess it will.
Comment 12 Frank DiPrete 2008-03-05 06:59:14 EST
according to the session editor, it is still in the active session.

I've deleted alarm notify from the session and saved it.

My thinking is this may be like the old bug where evolution-alarm notify crashes
if it is already running.

No crash yet after 5-6 starts.
Comment 13 Frank DiPrete 2008-03-05 07:02:03 EST
after starting evo, there are 2 instances of alarm notify running

 2218 ?        Sl     0:00 /usr/libexec/evolution/2.10/evolution-alarm-notify
--sm-config-prefix /evolution-alarm-notify-T9hLK8/ --sm-client-id
117f000001000120467533500000020840002 --screen 0
 2509 ?        Sl     0:00 /usr/libexec/evolution/2.10/evolution-alarm-notify
--oaf-activate-iid=OAFIID:GNOME_Evolution_Calendar_AlarmNotify_Factory:2.10
--oaf-ior-fd=18
Comment 14 Milan Crha 2008-03-05 08:56:51 EST
You've right, same for me. I believe the second instance (running with OAFIID),
is one somehow "attached" to previous instance by bonobo. It really depends what
will bonobo return when alarm notify calls bonobo_generic_factory_new. As I
mentioned above, we only knows that it usually returns NULL when two instances
are running, maybe only when you try to run them as direct commands, not through
bonobo. How bonobo handles this is out of my knowledge, I'm sorry.

Anyway, the issue (crash) is "fixed" in Fedora 8/Evolution 2.12+, so I guess
this is ready for "current release". What do you think?
Comment 15 Frank DiPrete 2008-03-05 18:15:16 EST
well, no.
It just crashed again.

Comment 16 Matthew Barnes 2008-03-10 02:00:26 EDT
Please upgrade to Fedora 8 and report back if this issue still exists in
Evolution 2.12.3.  There are no more Evolution updates scheduled for Fedora 7.
Comment 17 Matěj Cepl 2008-04-11 09:37:07 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 18 Bug Zapper 2008-05-14 11:20:01 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Frank DiPrete 2008-05-17 09:48:49 EDT
quick test on fedora 8 did not crash.

I switched to thuderbird.
Comment 20 Matthew Barnes 2008-05-22 14:16:37 EDT
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.